## org.gnu.gtk
Class Alignment

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Container
                      org.gnu.gtk.Bin
                          org.gnu.gtk.Alignment

public class Alignment
extends Bin

This is a container widget that is capable of controlling the size of a single child widget. The scale values are from 0.0 to 1.0, indicating the maximum amount the child can expand to fill the space allocated to the Alignment widget. The align values determine the x and y positions relative to the top left and bottom right corners of the Alignment rectangle. The align values are from 0.0 to the top or left side, and 1.0 for the bottom or right side.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`Alignment(double xAlign, double yAlign, double xScale, double yScale)` Construct a new Alignment.
`Alignment(Handle handle)` Construct an alignment using a handle to a native resource.

Method Summary
`int` `getBottomPadding()` Gets the size of the padding at the bottom of the widget.
`int` `getLeftPadding()` Gets the size of the padding at the left of the widget.
`int` `getRightPadding()` Gets the size of the padding at the right of the widget.
`int` `getTopPadding()` Gets the size of the padding at the top of the widget.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static void` `gtk_alignment_get_padding(Handle alignment, int[] top, int[] bottom, int[] left, int[] right)`
`protected static int` `gtk_alignment_get_type()`
`protected static Handle` `gtk_alignment_new(double xalign, double yalign, double xscale, double yscale)`
`protected static void` `gtk_alignment_set_padding(Handle alignment, int top, int bottom, int left, int right)`
`protected static void` `gtk_alignment_set(Handle alignment, double xalign, double yalign, double xscale, double yscale)`
`void` `set(double xAlign, double yAlign, double xScale, double yScale)` Set the alignment and scale for an already created Alignment object.
`void` `setPadding(int top, int bottom, int left, int right)` Sets the padding on the different sides of the widget.

Methods inherited from class org.gnu.gtk.Bin
`getChild, gtk_bin_get_child, gtk_bin_get_type`

Methods inherited from class org.gnu.gtk.Container

`add, addListener, fireContainerEvent, getBorderWidth, getChildren, getEventListenerClass, getEventType, getResizeMode, gtk_container_add, gtk_container_check_resize, gtk_container_child_type, gtk_container_get_border_width, gtk_container_get_children, gtk_container_get_focus_chain, gtk_container_get_focus_hadjustment, gtk_container_get_focus_vadjustment, gtk_container_get_resize_mode, gtk_container_get_type, gtk_container_propagate_expose, gtk_container_remove, gtk_container_resize_children, gtk_container_set_border_width, gtk_container_set_focus_chain, gtk_container_set_focus_child, gtk_container_set_focus_hadjustment, gtk_container_set_focus_vadjustment, gtk_container_set_reallocate_redraws, gtk_container_set_resize_mode, gtk_container_unset_focus_chain, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Alignment

    public Alignment(double xAlign,
                     double yAlign,
                     double xScale,
                     double yScale)

  Construct a new Alignment.

Parameters:
  `xAlign` - The horizontal alignment of the child widget from 0 (left) to 1 (right).
  `yAlign` - The vertical alignment of the child widget from 0 (top) to 1 (bottom).
  `xScale` - The amount that the child widget expands horizontally to fill up unused space, from 0 to 1. A value of 0 indicates that the child widget should never expand. A value of 1 indicates that the child widget will expand to fill all of the space allocated for the Alignment.
  `yScale` - The amount that the child widget expands vertically to fill up unused space, from 0 to 1. The values are similar to xScale.

### Alignment

    public Alignment(Handle handle)

  Construct an alignment using a handle to a native resource.

Method Detail

### set

    public void set(double xAlign,
                    double yAlign,
                    double xScale,
                    double yScale)

  Set the alignment and scale for an already created Alignment object.

  Parameters:
    `xAlign` - The horizontal alignment of the child widget from 0 (left) to 1 (right).
    `yAlign` - The vertical alignment of the child widget from 0 (top) to 1 (bottom).
    `xScale` - The amount that the child widget expands horizontally to fill up unused space, from 0 to 1. A value of 0 indicates that the child widget should never expand. A value of 1 indicates that the child widget will expand to fill all of the space allocated for the Alignment.
    `yScale` - The amount that the child widget expands vertically to fill up unused space, from 0 to 1. The values are similar to xScale.

### setPadding

    public void setPadding(int top,
                           int bottom,
                           int left,
                           int right)

  Sets the padding on the different sides of the widget. The padding adds blank space to the sides of the widget. For instance, this can be used to indent the child widget towards the right by adding padding on the left.

  Parameters:
    `top` - the padding at the top of the widget
    `bottom` - the padding at the bottom of the widget
    `left` - the padding at the left of the widget
    `right` - the padding at the right of the widget.

### getTopPadding

    public int getTopPadding()

  Gets the size of the padding at the top of the widget.

  Returns:
    The padding at the top of the widget.

### getBottomPadding

    public int getBottomPadding()

  Gets the size of the padding at the bottom of the widget.

  Returns:
    The padding at the bottom of the widget.

### getLeftPadding

    public int getLeftPadding()

  Gets the size of the padding at the left of the widget.

  Returns:
    The padding at the left of the widget.

### getRightPadding

    public int getRightPadding()

  Gets the size of the padding at the right of the widget.

  Returns:
    The padding at the right of the widget.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_alignment_get_type

    protected static final int gtk_alignment_get_type()

### gtk_alignment_new

    protected static final Handle gtk_alignment_new(double xalign,
                                                    double yalign,
                                                    double xscale,
                                                    double yscale)

### gtk_alignment_set

    protected static final void gtk_alignment_set(Handle alignment,
                                                  double xalign,
                                                  double yalign,
                                                  double xscale,
                                                  double yscale)

### gtk_alignment_set_padding

    protected static final void gtk_alignment_set_padding(Handle alignment,
                                                          int top,
                                                          int bottom,
                                                          int left,
                                                          int right)

### gtk_alignment_get_padding

    protected static final void gtk_alignment_get_padding(Handle alignment,
                                                          int[] top,
                                                          int[] bottom,
                                                          int[] left,
                                                          int[] right)